## org.aspectj.weaver.loadtime
Class Options

    java.lang.Object
      org.aspectj.weaver.loadtime.Options

    public class Options

extends java.lang.Object

A class that hanldes LTW options. Note: AV - I choosed to not reuse AjCompilerOptions and alike since those implies too many dependancies on jdt and ajdt modules.

Author:
  Alexandre Vasseur

Nested Class Summary
`static class` `Options.WeaverOption`

Constructor Summary
`Options()`

Method Summary
`static Options.WeaverOption` `parse(java.lang.String options, java.lang.ClassLoader laoder, org.aspectj.bridge.IMessageHandler imh)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Options

    public Options()

Method Detail

### parse

    public static Options.WeaverOption parse(java.lang.String options,
                                             java.lang.ClassLoader laoder,
                                             org.aspectj.bridge.IMessageHandler imh)